Package org.apache.storm.hbase.security

## Class AutoHBase

- java.lang.Object
- - org.apache.storm.common.AbstractHadoopAutoCreds
  - - org.apache.storm.hbase.security.AutoHBase

- All Implemented Interfaces:
    `CredentialKeyProvider`, `IAutoCredentials`

      public class AutoHBase
      extends AbstractHadoopAutoCreds

  Auto credentials plugin for HBase implementation. This class provides a way to automatically push credentials to a topology and to retrieve them in the worker.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AutoHBase()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `doPrepare​(Map<String,​Object> conf)` | Prepare the plugin.
    `protected String` | `getConfigKeyString()` | The lookup key for the config key string.
    `String` | `getCredentialKey​(String configKey)` | The lookup key for the config key string.

    - ### Methods inherited from class org.apache.storm.common.AbstractHadoopAutoCreds

      `getCredentials, populateCredentials, populateSubject, prepare, updateSubject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AutoHBase

          public AutoHBase()

  - ### Method Detail

    - #### doPrepare

          public void doPrepare​(Map<String,​Object> conf)

      Description copied from class: `AbstractHadoopAutoCreds`
      Prepare the plugin.
      Specified by:
        `doPrepare` in class `AbstractHadoopAutoCreds`
      Parameters:
        `conf` - the topology conf

    - #### getConfigKeyString

          protected String getConfigKeyString()

      Description copied from class: `AbstractHadoopAutoCreds`
      The lookup key for the config key string.
      Specified by:
        `getConfigKeyString` in class `AbstractHadoopAutoCreds`
      Returns:
        the config key string

    - #### getCredentialKey

          public String getCredentialKey​(String configKey)

      Description copied from interface: `CredentialKeyProvider`
      The lookup key for the config key string.
      Returns:
        the config key string